@import url("https://cdn.nilgai.cloud/style/WebX.css");
@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap");

:root {
  --base-color: #ff0000;
  --main-color: #121c84 !important;
  --main-color2: #8278da !important;
  --opacity-main-color: #121c841a;
  --color-white: #ffffff;
  --color-black: #000000;
  --color-black-opacity: #000000b3;
  --color-white-opacity: #ffffffb3;
  --color-gray: #00000023;
  --color-dark-gray: #000000d8;
  --color-unknown: #cdc8c85a;
  --main-font: "Lato", sans-serif !important;
  --border-radius: 6px;
  --semi-border-radius: 3px;
}

* {
  margin: 0;
  padding: 0;
  font-family: var(--main-font);
  color: var(--color-black);
}

*,
*::after,
*::before {
  box-sizing: border-box !important;
}

body {
  background-color: var(--body-bg-color);
}

.new-bottom-sheet {
  width: 100%;
  height: fit-content;
  overflow: hidden auto;
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  padding: 0 20px;
}

.new-bottom-sheet-topbar {
  width: 100%;
  position: sticky;
  top: 0;
  display: flex;
  align-items: center;
  gap: 20px;
  background: var(--color-white);
  padding-bottom: 5px;
}

.new-bottom-sheet-topbar button {
  padding: 5px 10px;
  border-radius: var(--border-radius);
  font-size: 14px;
  font-weight: var(--thick-font-weight);
  display: flex;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  outline: none;
  border: none;
  background: none;
  transition: all var(--short-anim-secs);
}

.new-bottom-sheet-topbar button:nth-child(1) {
  border: 1.5px solid var(--light-dark-color);
  color: var(--color-black);
}

.new-bottom-sheet-topbar button:nth-child(1):hover {
  border: 1.5px solid var(--color-black);
}

.new-bottom-sheet-topbar button:nth-child(2) {
  background: var(--main-color);
  color: var(--color-white);
}

.nbst-options {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: end;
  gap: 5px;
}

.nbst-options .checkbox {
  margin-right: 10px;
}

.nbst-options .checkbox p {
  font-weight: var(--thick-font-weight);
  font-size: 16px;
}

.nsbt-options-item {
  font-size: 14px;
  padding: 2.5px 5px;
  border-radius: var(--border-radius);
  background: var(--light-dark-color0);
  border: 1px solid var(--light-dark-color);
  transition: all var(--short-anim-secs);
  cursor: pointer;
  color: var(--color-black);
}

.nsbt-options-item:hover {
  background: var(--light-dark-color);
  border-color: var(--light-dark-color2);
}

.nsbt-options-item.active {
  background: var(--color-black);
  color: var(--color-white);
}

.new-bottom-sheet-topbar .bx-x {
  font-size: 18px;
  cursor: pointer;
  padding: 2.5px;
  border-radius: var(--border-radius);
  background: var(--light-dark-color0);
  border: 1px solid var(--light-dark-color);
}

.new-bottom-sheet-listview {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 5px;
  padding-bottom: 5px;
}

.new-bottom-sheet-listview .nbsl-item {
  width: 100%;
  display: flex;
  padding: 5px 10px;
  border: 1px solid var(--light-dark-color2);
  border-radius: var(--border-radius);
  align-items: center;
  gap: 10px;
  position: relative;
  transition: all var(--short-anim-secs);
}

.new-bottom-sheet-listview .nbsl-item.error{
  border: 2px solid var(--color-red);
}

.new-bottom-sheet-listview .nbsl-item.success{
  border: 2px solid var(--color-green2);
}

.new-bottom-sheet-listview .nbsl-item i {
  font-size: 20px;
}

.new-bottom-sheet-listview .nbsl-item div {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.new-bottom-sheet-listview .nbsl-item div input {
  border-radius: var(--border-radius);
  font-size: 16px;
  font-weight: var(--thick-font-weight);
  color: var(--color-black);
  outline: none;
  border: 1px solid var(--light-dark-color2);
  padding: 2.5px;
}

.new-bottom-sheet-listview .nbsl-item div p {
  font-size: 12px;
  color: var(--color-black-opacity);
  font-weight: var(--thick-font-weight);
  padding: 0 2.5px;
}

.new-bottom-sheet-listview .nbsl-item .bx-x {
  cursor: pointer;
  padding: 2px;
  border-radius: var(--border-radius);
  background: var(--light-dark-color0);
  border: 1px solid var(--light-dark-color);
}

.new-bottom-sheet-listview .nbsl-item-progress {
  position: absolute;
  bottom: 0;
  left: 0;
  transition: all var(--short-anim-secs);
  height: 5px;
  border-radius: var(--border-radius);
  background: var(--main-color);
}

.new-bottom-sheet-msg {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding-top: 5%;
}

.new-bottom-sheet-msg img {
  height: 35%;
  width: auto;
}
